Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfaceStud Class Reference
GoSdk/Tools » Surface

## Description

Represents a surface stud tool.

Inheritance diagram for GoSurfaceStud:

## Public Member Functions
kBool | GoSurfaceStud_AutoTiltEnabled (GoSurfaceStud tool)
| Gets the enabled state of auto-tilt. More...
k64f | GoSurfaceStud_BaseHeight (GoSurfaceStud tool)
| Returns the stud base height value. More...
GoSurfaceStudBaseX | GoSurfaceStud_BaseXMeasurement (GoSurfaceStud tool)
| Returns a GoSurfaceStud Base X measurement object. More...
GoSurfaceStudBaseY | GoSurfaceStud_BaseYMeasurement (GoSurfaceStud tool)
| Returns a GoSurfaceStud Base Y measurement object. More...
GoSurfaceStudBaseZ | GoSurfaceStud_BaseZMeasurement (GoSurfaceStud tool)
| Returns a GoSurfaceStud Base Z measurement object. More...
kStatus | GoSurfaceStud_EnableAutoTilt (GoSurfaceStud tool, kBool enable)
| Sets the enabled state of auto-tilt. More...
kStatus | GoSurfaceStud_EnableRefRegions (GoSurfaceStud tool, kBool enable)
| Sets the enabled state of the reference regions. More...
kStatus | GoSurfaceStud_EnableRegion (GoSurfaceStud tool, kBool enable)
| Sets the enabled state of the tool region. More...
GoSurfaceStudRadius | GoSurfaceStud_RadiusMeasurement (GoSurfaceStud tool)
| Returns a GoSurfaceStud Radius measurement object. More...
GoSurfaceRegion2d | GoSurfaceStud_RefRegionAt (GoSurfaceStud tool, kSize index)
| Returns the reference region object at the given index. More...
kSize | GoSurfaceStud_RefRegionCount (GoSurfaceStud tool)
| Returns the reference region count. More...
kBool | GoSurfaceStud_RefRegionsEnabled (GoSurfaceStud tool)
| Gets the enabled state of the reference regions. More...
GoRegion3d | GoSurfaceStud_Region (GoSurfaceStud tool)
| Returns the tool region object. More...
kBool | GoSurfaceStud_RegionEnabled (GoSurfaceStud tool)
| Gets the enabled state of the tool region. More...
kStatus | GoSurfaceStud_SetBaseHeight (GoSurfaceStud tool, k64f value)
| Sets the base height value. More...
kStatus | GoSurfaceStud_SetRefRegionCount (GoSurfaceStud tool, kSize count)
| Sets the reference region count. More...
kStatus | GoSurfaceStud_SetStudHeight (GoSurfaceStud tool, k64f value)
| Sets the stud height value. More...
kStatus | GoSurfaceStud_SetStudRadius (GoSurfaceStud tool, k64f value)
| Sets the stud radius value. More...
kStatus | GoSurfaceStud_SetTiltXAngle (GoSurfaceStud tool, k64f value)
| Sets the tilt X-angle value. More...
kStatus | GoSurfaceStud_SetTiltYAngle (GoSurfaceStud tool, k64f value)
| Sets the tilt Y-angle value. More...
kStatus | GoSurfaceStud_SetTipHeight (GoSurfaceStud tool, k64f value)
| Sets the tip height value. More...
k64f | GoSurfaceStud_StudHeight (GoSurfaceStud tool)
| Returns the stud height value. More...
k64f | GoSurfaceStud_StudRadius (GoSurfaceStud tool)
| Returns the stud radius value. More...
k64f | GoSurfaceStud_TiltXAngle (GoSurfaceStud tool)
| Gets the tilt X-angle value. More...
k64f | GoSurfaceStud_TiltYAngle (GoSurfaceStud tool)
| Returns the tilt Y-angle value. More...
k64f | GoSurfaceStud_TipHeight (GoSurfaceStud tool)
| Returns the stud tip height value. More...
GoSurfaceStudTipX | GoSurfaceStud_TipXMeasurement (GoSurfaceStud tool)
| Returns a GoSurfaceStud Tip X measurement object. More...
GoSurfaceStudTipY | GoSurfaceStud_TipYMeasurement (GoSurfaceStud tool)
| Returns a GoSurfaceStud Tip Y measurement object. More...
GoSurfaceStudTipZ | GoSurfaceStud_TipZMeasurement (GoSurfaceStud tool)
| Returns a GoSurfaceStud Tip Z measurement object. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h